import request from "@/utils/request";

// 省级目录查询-省招采目录查询
export function getTpsDrugList(data) {
    return request({
        url:"/web/tpsDrugList/getTpsDrugList",
        method:"post",
        data
    })
}
// 目录类型查询
export function getListType(data) {
    return request({
        url:"/web/listType/getListType",
        method:"post",
        data
    })
}
// 集团目录管理-集团目录查询
export function getGrpDrugList(data) {
    return request({
        url:"/web/grpDrugList/getGrpDrugList",
        method:"post",
        data
    })
}
// 集团目录查询(带本机构库存)(筛选通过状态)
export function getGrpDrugListPassed(data) {
    return request({
        url:"/web/grpDrugList/getGrpDrugListPassed",
        method:"post",
        data
    })
}
export function getGrpDrugListWithOrg(data) {
    return request({
        url:"/web/grpDrugList/getGrpDrugListWithOrg",
        method:"post",
        data
    })
}
// 集团目录管理-集团目录新增保存
export function saveGrpDrug(data) {
    return request({
        url:"/web/grpDrugList/saveGrpDrug",
        method:"post",
        data
    })
}
// 集团目录管理-获取药品配送商
export function getDrugSplerRlts(data) {
    return request({
        url:"/web/grpDrugList/getDrugSplerRlts",
        method:"post",
        data
    })
}
// 集团目录管理-设置取消默认配送商
export function changeDrugDefSplerFlg(data) {
    return request({
        url:"/web/grpDrugList/changeDrugDefSplerFlg",
        method:"post",
        data
    })
}
// 集团目录管理-配置保存
export function saveDrugSplerRltsBatch(data) {
    return request({
        url:"/web/grpDrugList/saveDrugSplerRltsBatch",
        method:"post",
        data
    })
}
// 集团目录管理-删除
export function deleteGrpDrug(data) {
    return request({
        url:"/web/grpDrugList/deleteGrpDrug",
        method:"post",
        data
    })
}
// 药品目录管理-查询院内目录
export function getHospList(data) {
    return request({
        url:"/web/grpDrugList/getHospList",
        method:"post",
        data
    })
}
// 药品目录管理-新增目录
export function saveHospListBatch(data) {
    return request({
        url:"/web/grpDrugList/saveHospListBatch",
        method:"post",
        data
    })
}
// 所有机构查询
export function getALLOrgTree(data) {
    return request({
        url:"/web/org/getALLOrgTree",
        method:"post",
        data
    })
}
// 下级机构树查询
export function getChildByOrgId(data) {
    return request({
        url:"/web/org/getChildByOrgId",
        method:"post",
        data
    })
}
// 删除院内目录
export function deleteHospList(data) {
    return request({
        url:"/web/grpDrugList/deleteHospList",
        method:"post",
        data
    })
}


